# Uses of Interface
org.apache.lucene.codecs.uniformsplit.IndexDictionary.BrowserSupplier

Packages that use IndexDictionary.BrowserSupplier
Package
Description
org.apache.lucene.codecs.uniformsplit
Pluggable term index / block terms dictionary implementations.
org.apache.lucene.codecs.uniformsplit.sharedterms
Pluggable term index / block terms dictionary implementations.

- ## Uses of IndexDictionary.BrowserSupplier in org.apache.lucene.codecs.uniformsplit

  Classes in org.apache.lucene.codecs.uniformsplit that implement IndexDictionary.BrowserSupplier
  Modifier and Type
  Class
  Description
  `static class`
  `FSTDictionary.BrowserSupplier`
  Provides stateful `FSTDictionary.Browser` to seek in the `FSTDictionary`.
  Fields in org.apache.lucene.codecs.uniformsplit declared as IndexDictionary.BrowserSupplier
  Modifier and Type
  Field
  Description
  `protected final IndexDictionary.BrowserSupplier`
  BlockReader.`dictionaryBrowserSupplier`
  `IndexDictionary.Browser` supplier for lazy loading.
  `protected final IndexDictionary.BrowserSupplier`
  UniformSplitTerms.`dictionaryBrowserSupplier`
  Methods in org.apache.lucene.codecs.uniformsplit that return IndexDictionary.BrowserSupplier
  Modifier and Type
  Method
  Description
  `protected IndexDictionary.BrowserSupplier`
  UniformSplitTermsReader.`createDictionaryBrowserSupplier(SegmentReadState state, IndexInput dictionaryInput, FieldMetadata fieldMetadata, BlockDecoder blockDecoder, boolean dictionaryOnHeap)`
  Constructors in org.apache.lucene.codecs.uniformsplit with parameters of type IndexDictionary.BrowserSupplier
  Modifier
  Constructor
  Description
  `protected`
  `BlockReader(IndexDictionary.BrowserSupplier dictionaryBrowserSupplier, IndexInput blockInput, PostingsReaderBase postingsReader, FieldMetadata fieldMetadata, BlockDecoder blockDecoder)`
  `protected`
  `IntersectBlockReader(CompiledAutomaton compiled, BytesRef startTerm, IndexDictionary.BrowserSupplier dictionaryBrowserSupplier, IndexInput blockInput, PostingsReaderBase postingsReader, FieldMetadata fieldMetadata, BlockDecoder blockDecoder)`
  `protected`
  `UniformSplitTerms(IndexInput blockInput, FieldMetadata fieldMetadata, PostingsReaderBase postingsReader, BlockDecoder blockDecoder, IndexDictionary.BrowserSupplier dictionaryBrowserSupplier)`

- ## Uses of IndexDictionary.BrowserSupplier in org.apache.lucene.codecs.uniformsplit.sharedterms

  Constructors in org.apache.lucene.codecs.uniformsplit.sharedterms with parameters of type IndexDictionary.BrowserSupplier
  Modifier
  Constructor
  Description
  ``
  `STBlockReader(IndexDictionary.BrowserSupplier dictionaryBrowserSupplier, IndexInput blockInput, PostingsReaderBase postingsReader, FieldMetadata fieldMetadata, BlockDecoder blockDecoder, FieldInfos fieldInfos)`
  ``
  `STIntersectBlockReader(CompiledAutomaton compiled, BytesRef startTerm, IndexDictionary.BrowserSupplier dictionaryBrowserSupplier, IndexInput blockInput, PostingsReaderBase postingsReader, FieldMetadata fieldMetadata, BlockDecoder blockDecoder, FieldInfos fieldInfos)`
  ``
  `STMergingBlockReader(IndexDictionary.BrowserSupplier dictionaryBrowserSupplier, IndexInput blockInput, PostingsReaderBase postingsReader, FieldMetadata fieldMetadata, BlockDecoder blockDecoder, FieldInfos fieldInfos)`
  `protected`
  `STUniformSplitTerms(IndexInput blockInput, FieldMetadata fieldMetadata, FieldMetadata unionFieldMetadata, PostingsReaderBase postingsReader, BlockDecoder blockDecoder, FieldInfos fieldInfos, IndexDictionary.BrowserSupplier dictionaryBrowserSupplier)`